## debhelper 13.1~ab~BULLSEYE+1

=== debian/changelog ===
debhelper (13.1~ab~BULLSEYE+1) bullseye-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    354d859ea7a03761376b8770eab44dd0c8b0830d.
  * External port from:
    https://deb.debian.org/debian/pool/main/d/debhelper/debhelper_13.1.d
    sc
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Wed, 20 May 2020 15:34:18 +0200

debhelper (13.1) unstable; urgency=low

  [ Niels Thykier ]
  * dh_installinitramfs: Remove misleading "in compat 12" as the
    behaviour was unrelated to the compat level.
  * dh_installinitramfs: Migrate to using declaratively triggering
    update-initramfs as a noawait trigger (replacing maintscript
    calls to "update-initramfs -u", which had the same affect).
    (Closes: #822730).
  * dh_installman: Improve error messages and handling of broken
    section numbers.  Notably ignore (with a warning) sections from
    manpages that look suspiciously like a version number.  Thanks
    to Paul Gevers for reporting the bug.  (Closes: #958343)
  * Dh_Lib.pm: Support that Architecture (among other fields) can be
    folded in d/control.  Thanks to Thorsten Glaser for reporting
    the issue.  (Closes: #958987)
  * SequencerUtil.pm: Fix use of uninitialized variable warning.
  * Dh_Lib.pm: Properly error out on paragraphs missing the Package
    field (rather than silently ignoring them).
  * debian/rules: Fix call to gen-provides that seemed to work more
    due to luck than by design.
  * Dh_Lib.pm: Provide HIGHEST_STABLE_COMPAT_LEVEL, which reflects
    the latest stable compat level.  Thanks to Jelmer Vernooĳ
    for the suggestion.
  * Dh_Lib.pm: Respond to DH_DATAFILES environment variable in
    addition to DH_AUTOSCRIPTS as a means to find data files.  This
    is mostly useful for testing purposes or to be "self-hosting".
    The new DH_DATAFILES is more general than DH_AUTOSCRIPTS and
    enable us to add new data file sources without inventing new
    environment variables.
  * Dh_Lib.pm: Require perl v5.24 (available in Debian oldstable)
    to enable more modern features.
  * Dh_Lib.pm: Fix a bug in variable substition where ${Tab}
    incorrectly expanded to "\b" rather than "\t".
  * dh_installchangelogs.1: Loosely document which file names that
    dh_installchangelogs uses as guesses for finding an upstream
    changelog file.  Thanks to Laurent Bigonville for suggesting
    the change.  (Closes: #933224)
  * Dh_Lib.pm: When setting HOME or XDG_RUNTIME_DIR in compat 13,
    use an absolute path.  Thanks to Dmitry Shachnev for reporting
    the issue.  (Closes: #959731)
  * dh_installsystemd.1: Copy the description for the
    --no-stop-on-upgrade option from dh_installinit.
  * dh_installsystemd: Have --no-start or --no-stop-on-upgrade
    disable --restart-after-upgrade as the documentation says it
    will.  Thanks to Axel Beckert for reporting the issue.
    (Closes: #959678)
  * dh_installinit: Ditto.
  * dh.1: Explicitly document that hook targets can cause
    complications when they are made unconditional by a makefile
    target and suggest alternatives.  Thanks to Marcin Owsiany for
    reporting this.  (Closes: #645873)
  * cmake.pm: Rollback -DCMAKE_AUTOGEN_VERBOSE=ON temporarily as it
    trips bhlc due to a bug in cmake.  Thanks to Nicolas
    Braud-Santoni and "anoteng" for reporting the issue.
    (Closes: #959494)
  * dh_clean.1: Rephrase the description of dh_clean to avoid
    confusion about when it is run.  Thanks to Hugh McMaster for
    the suggestion.  (Closes: #960110)
  * dh_missing.1: Update documentation to reflect that the
    --fail-missing option is now the default in compat 13.
    Thanks to Hugh McMaster and Christoph Berg for the report.
    (Closes: #960107, #960697)
  * dh: Filter out the root-sequence in "--list" output and reject
    attempts to activate or deactivate the sequence as it is an
    implementation detail.
  * dh_installalternatives: New helper that can setup alternatives
    (update-alternatives) based on a declarative format.  Currently,
    the format is converted to calls to update-alternatives, which
    are inserted into the maintscripts of the package.  Thanks to
    David Engel and Fumitoshi UKAI for the original requests.
    (Closes: #43720)
  * dh_missing: Attempt to guess if missing files might be caused by
    the packager installing the same file via a different path and
    let them know of this. (Closes: #960781)

  [ Guillem Jover ]
  * autoconf.pm: Pass --disable-option-checking to ./configure
    scripts to avoid warnings about unknown options.
    (Closes: #942813)

  [ Translations ]
  * Fix typo in German translation.  (Andreas Bombe)

 -- Niels Thykier <niels@thykier.net>  Sun, 17 May 2020 17:07:30 +0000

## debhelper 13.1~ab10+1

=== debian/changelog ===
debhelper (13.1~ab10+1) buster-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    354d859ea7a03761376b8770eab44dd0c8b0830d.
  * External port from:
    https://deb.debian.org/debian/pool/main/d/debhelper/debhelper_13.1.d
    sc
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Wed, 20 May 2020 15:38:50 +0200

## debhelper 13.1~mx17+1+nmu1

=== debian/changelog ===
debhelper (13.1~mx17+1+nmu1) mx; urgency=medium

  * Rebuild for MX-17/18

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 08 Jul 2020 22:30:54 -0400

debhelper (13.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 18 Jun 2020 18:13:07 -0700

=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
Build-Depends: dpkg-dev (>= 1.18.0~),
               perl:any,
               po4a,
               man-db <pkg.debhelper.ci>,
               libtest-pod-perl <pkg.debhelper.ci>,
Standards-Version: 4.5.0
Testsuite: autopkgtest-pkg-perl
Vcs-Git: https://salsa.debian.org/debian/debhelper.git
Vcs-Browser: https://salsa.debian.org/debian/debhelper

Package: debhelper
Architecture: all
Depends: autotools-dev,
# Version 12 is where dh-autoreconf supports --sourcedirectory.
# Version 16 fixes #887482, version 17 fixes #889567
# Constraint can be relaxed if packages do not rely/require any of the
# above fixes
         dh-autoreconf (>= 17~),
# Version constraint is to get a version of dh-strip-nondeterminism
# without several bugs.  The constraint can be relaxed if an older
# version is sufficient.
         dh-strip-nondeterminism (>= 0.028~),
# dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
         dpkg (>= 1.18.0~),
         dpkg-dev (>= 1.18.2~),
         dwz,
         file (>= 3.23),
         libdpkg-perl (>= 1.17.14),
         man-db,
         libdebhelper-perl (= ${source:Version}),
         po-debconf,
         ${misc:Depends},
         ${perl:Depends}
Breaks: dh-systemd (<< 1.38),
# To ensure cmake understands -DCMAKE_INSTALL_RUNSTATEDIR=/run as used in compat 11
# - Can be dropped (with the caveat that cmake packages may behave differently
#   depending on the version of cmake).
        cmake (<< 3.9~),
# meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
        meson (<< 0.40.0~),
# Re-add if qt5-qmake is added to stretch-backports
# The qmake cross wrapper was introduced in 5.9.2+dfsg-5, but got some important
# fixes in the subsequent uploads. It is only needed for cross-building.
#        qt5-qmake (<< 5.9.2+dfsg-8),
Replaces: dh-systemd (<< 1.38)
Suggests: dh-make
Provides: ${dh:CompatLevels},
          dh-sequence-dwz,
          dh-sequence-elf-tools,
          dh-sequence-installinitramfs,
          dh-sequence-systemd,
Multi-Arch: foreign
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building Debian packages. Programs
 are included to install various files into your package, compress
 files, fix file permissions, integrate your package with the Debian
 menu system, debconf, doc-base, etc. Most Debian packages use debhelper
 as part of their build process.

Package: libdebhelper-perl
Section: perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Replaces: debhelper (<< 12.6~)
Breaks: debhelper (<< 12.6~)
Multi-Arch: foreign
Description: debhelper perl modules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building Debian packages.
 .
 This package provides the perl modules used by the scripts in debhelper.

Package: dh-systemd
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: debhelper (>= 9.20160709),
         ${misc:Depends},
Description: debhelper add-on to handle systemd unit files - transitional package
 This package is for transitional purposes and can be removed safely.

## debhelper 13.1~mx19+1

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                po4a,
                man-db <pkg.debhelper.ci>,
                libtest-pod-perl <pkg.debhelper.ci>,
+Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Testsuite: autopkgtest-pkg-perl
 Vcs-Git: https://salsa.debian.org/debian/debhelper.git

## debhelper 13.2~bpo10+1

=== debian/changelog ===
debhelper (13.2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Niels Thykier <niels@thykier.net>  Wed, 08 Jul 2020 16:22:36 +0000

debhelper (13.2) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_missing: Explicitly remind people that they should not
    copy-waste multi-arch paths directly into debian/not-installed.
    Instead, recommend the use of wildcards of ${DEB_HOST_MULTIARCH}
    to replace the hardcoded value.
  * d/changelog: Clarify what dh_installman change in 13.1 related to
    #958343 was about.
  * Dh_Lib.pm: Add support for raising compat deprecation warnings to
    an error if there are pending removals.  This currently triggers
    for usage of compat 5 and 6.
  * cmake.pm: Pass -DCMAKE_SKIP_RPATH=ON -DBUILD_RPATH_USE_ORIGIN=ON
    to cmake in compat 14.  This should fix some reproducibility
    issues but may cause breakage if packages run binaries directly
    from the build directory.  Thanks to Timo Röhling for the
    suggestion.  (Closes: #962474)
  * dh,dh_auto_*: Change the handling of XDG_RUNTIME_DIR in compat 13.
    It is now only set to a writable directory for dh_auto_test but
    set to a much shorter directory avoid issues with socket lengths.
    In all other cases, the XDG_RUNTIME_DIR is now cleared.  Thanks to
    Simon McVittie for the report.  (Closes: #961655)
  * debhelper.pod: Document that --sourcedir clashes between dh_auto_*
    and dh_missing (etc.).  Thanks to Thorsten Glaser for reporting
    the issue.  (See #964230)

  [ Anel Husakovic ]
  * debhelper.7: Fix typo/grammatical errors.

  [ Translations ]
  * Update Portuguese translation (Américo Monteiro)  (Closes: #962568)

 -- Niels Thykier <niels@thykier.net>  Sun, 05 Jul 2020 21:14:04 +0000

## debhelper 13.2~mx19+1

=== debian/changelog ===
debhelper (13.2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 09 Jul 2020 09:33:27 -0700

## debhelper 13.2.1

=== debian/changelog ===
debhelper (13.2.1) unstable; urgency=medium

  [ Niels Thykier ]
  * debian/changelog: Fix some typos in previous entries.
  * Dh_Lib.pm,Dh_Buildsystems.pm: Properly clear buildflags with
    --reload-all-buildenv-variables is passed.  Thanks to
    Harald Welte and Guillem Jover for reporting and debugging
    the issue.  (Closes: #966689)
  * dh_missing: Improve message about related files found.  Thanks
    to Diego Escalante for reporting the issue.  (Closes: #966834)

  [ Peter Pentchev ]
  * dh_installalternatives: Correct order of values in the example for
    Dependents links.  (Closes: #966285)

  [ Chris Lamb ]
  * dh_missing: Sort order of missing files to make output
    deterministic.  (Closes: #968187)

  [ Translations ]
  * Update Portuguese translation (Américo Monteiro)  (Closes: #964784)

 -- Niels Thykier <niels@thykier.net>  Sat, 12 Sep 2020 20:27:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,

=== debian/rules ===
#!/usr/bin/make -f
# If you're looking for an example debian/rules that uses debhelper, see
# the examples directory.
#
# Each debhelper command in this rules file has to be run using ./run,
# to ensure that the commands and libraries in the source tree are used,
# rather than the installed ones.
#
# We disable autoreconf to avoid build-depending on it (it does
# nothing for debhelper and it keeps the set of B-D smaller)

PERL ?= perl

%:
	./run dh $@ --without autoreconf --with build-stamp

# Disable as they are unneeded (and we can then be sure debhelper
# builds without needing autotools-dev, dh-strip-nondetermism etc.)
override_dh_update_autotools_config override_dh_strip_nondeterminism:

execute_before_dh_install:
	PERLLIBDIR=$$($(PERL) -MConfig -e 'print $$Config{vendorlib}')/ ; \
	    $(PERL) -I"debian/tmp/$${PERLLIBDIR}" debian/gen-provides > debian/debhelper.substvars

## debhelper 13.2.1ubuntu1~cloud0

=== debian/changelog ===
debhelper (13.2.1ubuntu1~cloud0) focal-victoria; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sun, 13 Sep 2020 18:32:39 +0000

debhelper (13.2.1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Sep 2020 19:38:16 +0200

debhelper (13.2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Jul 2020 08:57:15 +0200

debhelper (13.1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 May 2020 07:15:23 +0200

debhelper (13ubuntu1) groovy; urgency=low

  [ Dimitri John Ledkov ]
  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 26 Apr 2020 16:38:25 -0400

## debhelper 13.2.1ubuntu1

=== debian/control ===
--- 
+++ 
@@ -48,7 +48,8 @@
 # The qmake cross wrapper was introduced in 5.9.2+dfsg-5, but got some important
 # fixes in the subsequent uploads. It is only needed for cross-building.
 #        qt5-qmake (<< 5.9.2+dfsg-8),
-Replaces: dh-systemd (<< 1.38)
+Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
+Conflicts: pkg-create-dbgsym
 Suggests: dh-make
 Provides: ${dh:CompatLevels},
           dh-sequence-dwz,

## debhelper 13.3

=== debian/changelog ===
debhelper (13.3) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_md5sums: When reading the conffiles file, ignore every line
    except those starting with a slash "/".
  * SequencerUtil.pm,dh_testroot: Let dh skip dh_testroot when
    the builder supports Rules-Requires-Root and it is set to "no".
  * Dh_Lib.pm: Provide a more helpful error message when
    lintian-overrides config files are executable by mistake.
  * dh_gencontrol: Discard the "Protected" field in dbgsym packages.
    Thanks to Axel Beckert for reporting the issue.
    (Closes: #976323)
  * dh_installsysusers: New tool to install and integrate sysusers
    into debian packaging.  Thanks to Michael Biebl and Moritz
    Muehlenhoff for feedback and initial testing.
    (Closes: #962384)
  * d/control: Remove transitional package for dh-systemd.  Thanks
    to Michael Biebl for poking reverse dependencies to migrate and
    getting us ready to remove it.  (Closes: #871312)
  * cmake.pm: Pass VERBOSE=1 to make by default when building to
    ensure that gmock builds are also verbose.  Thanks to
    Johannes Schauer for reporting the issue.  (Closes: #973029)
  * Dh_Lib.pm: Disable "unicode_strings" feature, which caused
    issues with UTF-8 encoded files.  Thanks to Sebastien Bacher
    for reporting the issue.  (Closes: #971362)
  * dh_installinfo: Work around upstream installing the
    usr/share/info/dir file.  If seen, dh_installinfo will now
    tag it as "installed" even though it is not installed.  This
    avoids promoting the installation of the file by dh_missing
    only to have lintian tell people to remove it again.
    (Closes: #971036)

  [ Michael Biebl ]
  * autoscripts/postrm-systemd-reload-only: Run daemon-reload on
    "remove" only.

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Dec 2020 20:11:53 +0000

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
          po-debconf,
          ${misc:Depends},
          ${perl:Depends}
-Breaks: dh-systemd (<< 1.38),
+Breaks:
 # To ensure cmake understands -DCMAKE_INSTALL_RUNSTATEDIR=/run as used in compat 11
 # - Can be dropped (with the caveat that cmake packages may behave differently
 #   depending on the version of cmake).
@@ -48,8 +48,6 @@
 # The qmake cross wrapper was introduced in 5.9.2+dfsg-5, but got some important
 # fixes in the subsequent uploads. It is only needed for cross-building.
 #        qt5-qmake (<< 5.9.2+dfsg-8),
-Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
-Conflicts: pkg-create-dbgsym
 Suggests: dh-make
 Provides: ${dh:CompatLevels},
           dh-sequence-dwz,
@@ -78,12 +76,3 @@
  automate common tasks related to building Debian packages.
  .
  This package provides the perl modules used by the scripts in debhelper.
-
-Package: dh-systemd
-Section: oldlibs
-Architecture: all
-Multi-Arch: foreign
-Depends: debhelper (>= 9.20160709),
-         ${misc:Depends},
-Description: debhelper add-on to handle systemd unit files - transitional package
- This package is for transitional purposes and can be removed safely.

## debhelper 13.3.1

=== debian/changelog ===
debhelper (13.3.1-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.
  * Rename upstream tarball to debhelper_13.3.1.orig.tar.xz.
  * Change source/format to quilt.

 -- SwampRabbit <maintainer@mepiscommunity.org>  Mon, 08 Feb 2021 17:30:09 -0500

debhelper (13.3.1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Niels Thykier <niels@thykier.net>  Fri, 08 Jan 2021 20:01:14 +0000

debhelper (13.3.1) unstable; urgency=medium

  * d/control: Bump dependency on dwz to pull newer version of dwz
    in buster-backports, which makes backporting easier.  Thanks to
    Anthony Fok for the patch and for backporting dwz.

 -- Niels Thykier <niels@thykier.net>  Mon, 28 Dec 2020 16:52:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
@@ -29,7 +30,7 @@
 # dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
          dpkg (>= 1.18.0~),
          dpkg-dev (>= 1.18.2~),
-         dwz,
+         dwz (>= 0.12.20190711),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
          man-db,

## debhelper 13.3.3~bpo10+1

=== Makefile ===
PERL ?= perl
PO4A ?= po4a
POD2MAN ?= pod2man

# List of files of dh_* commands. Sorted for debhelper man page.
COMMANDS=$(shell find . -maxdepth 1 -type f -perm /100 -name "dh_*" -printf "%f\n" | grep -v '~$$' | LC_ALL=C sort)
MANPAGES=$(COMMANDS:=.1) dh.1

# Find deprecated commands by looking at their synopsis.
DEPRECATED=$(shell egrep -l '^dh_.* - .*deprecated' $(COMMANDS))

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    TEST_JOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
    TEST_JOBS = 1
endif

# Figure out the `current debhelper version.
VERSION=$(shell dpkg-parsechangelog -SVersion)

# This generates a list of synopses of debhelper commands, and substitutes
# it in to the #LIST# line on the man page fed to it on stdin. Must be passed
# parameters of all the executables or pod files to get the synopses from.
# For correct conversion of pod tags (like S< >) #LIST# must be substituted in
# the pod file and not in the troff file.
MAKEMANLIST=$(PERL) -e ' \
		undef $$/; \
		foreach (@ARGV) { \
		        open (IN, $$_) or die "$$_: $$!"; \
		        $$file=<IN>; \
		        close IN; \
		        if ($$file=~m/=head1 .*?\n\n(.*?) - (.*?)\n\n/s) { \
				my $$item="=item $$1(1)\n\n$$2\n\n"; \
				if (" $(DEPRECATED) " !~ / $$1 /) { \
			                $$list.=$$item; \
				} \
				else { \
			                $$list_deprecated.=$$item; \
				} \
		        } \
		} \
		END { \
			my $$recommended_compat = q{$(VERSION)}; \
			$$recommended_compat =~ s{^\d+\K(?:\D.*|\..*)?}{}; \
			while (<STDIN>) { \
				s/\#LIST\#/$$list/g; \
				s/\#LIST_DEPRECATED\#/$$list_deprecated/g; \
				s/\#RECOMMENDED_COMPAT\#/$$recommended_compat/g; \
				print; \
			}; \
		}'

PERLLIBDIR=$(shell $(PERL) -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper

PREFIX=/usr

POD2MAN_FLAGS=--utf8 -c Debhelper -r "$(VERSION)"

ifneq ($(USE_NLS),no)
# l10n to be built is determined from .po files
LANGS?=$(notdir $(basename $(wildcard man/po4a/po/*.po)))
LANG_TARGETS = $(foreach L,$(LANGS),translated-$(L)-stamp)
else
LANGS=
LANG_TARGETS =
endif

build: $(LANG_TARGETS) version debhelper.7 debhelper-obsolete-compat.7 $(MANPAGES)


po4a-stamp:
	$(PO4A) --previous -L UTF-8 man/po4a/po4a.cfg
	touch $@

translated-%-stamp: po4a-stamp
	set -e; \
	lang=$* ; \
	dir=man/$$lang; \
	for file in $$dir/dh*.pod; do \
		prog=`basename $$file | sed 's/.pod//'`; \
		$(POD2MAN) $(POD2MAN_FLAGS) $$file $$prog.$$lang.1; \
	done; \
	if [ -e $$dir/debhelper.pod ]; then \
		cat $$dir/debhelper.pod | \
			$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | LC_ALL=C sort` | \
			$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7 > debhelper.$$lang.7; \
	fi; \
	if [ -e $$dir/debhelper-obsolete-compat.pod ]; then \
		$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7 $$dir/debhelper-obsolete-compat.pod > debhelper-obsolete-compat.$$lang.7; \
	fi
	touch $@

version:
	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
		lib/Debian/Debhelper/Dh_Version.pm

dh_%.1: dh_%
	$(POD2MAN) $(POD2MAN_FLAGS) $^ $@

dh.1: dh
	$(POD2MAN) $(POD2MAN_FLAGS) $^ $@

debhelper.7: debhelper.pod
	cat debhelper.pod | \
		$(MAKEMANLIST) $(COMMANDS) | \
		$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7  > $@

debhelper-obsolete-compat.7: debhelper-obsolete-compat.pod
	$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7 $^ > $@

clean:
	rm -f *-stamp *.1 *.7 lib/Debian/Debhelper/Dh_Version.pm
ifneq ($(USE_NLS),no)
	$(PO4A) --previous --rm-translations --rm-backups man/po4a/po4a.cfg
endif
	for lang in $(LANGS); do \
		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
	done;

install:
	install -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts \
		$(DESTDIR)$(PERLLIBDIR)/Sequence \
		$(DESTDIR)$(PERLLIBDIR)/Buildsystem \
		$(DESTDIR)$(PERLLIBDIR)/DH
	install dh $(COMMANDS) $(DESTDIR)$(PREFIX)/bin
	install -m 0644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts
	install -m 0644 lib/Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
	[ "$(PREFIX)" = /usr ] || \
		sed -i '/$$prefix=/s@/usr@$(PREFIX)@g' $(DESTDIR)$(PERLLIBDIR)/Dh_Lib.pm
	if [ "$(VERSION)" ]; then \
		MV=$$(echo "$(VERSION)" | $(PERL) -ne 'print $$1 if /^(\d+)[~.]/;') ; \
		sed -i "/constant HIGHEST_STABLE_COMPAT_LEVEL =>/s@=>.*;@=> $${MV};@g" $(DESTDIR)$(PERLLIBDIR)/Dh_Lib.pm ; \
	fi
	install -m 0644 lib/Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
	install -m 0644 lib/Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem
	install -m 0644 lib/Debian/Debhelper/DH/*.pm $(DESTDIR)$(PERLLIBDIR)/DH

test: version
	MAKEFLAGS= HARNESS_OPTIONS=j$(TEST_JOBS) ./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x && m/\.t$$/ } @ARGV' t/* t/*/*

=== debian/changelog ===
debhelper (13.3.3~bpo10+1) unstable; urgency=medium

  * update

 -- Debhelper Maintainers <debhelper@packages.debian.org>  Thu, 16 Dec 2021 14:54:34 +0800

debhelper (13.3.3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Niels Thykier <niels@thykier.net>  Sat, 06 Mar 2021 10:03:25 +0000

debhelper (13.3.3) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_installsysusers: Add systemd-sysusers as alternative provider
    in the ${misc:Depends} dependency as that is the name used by
    opensysusers.

  [ Translations ]
  * Update Portuguese translation (Américo Monteiro)  (Closes: #981567)

 -- Niels Thykier <niels@thykier.net>  Wed, 03 Feb 2021 19:43:32 +0000

debhelper (13.3.2) unstable; urgency=medium

  * Team upload.

  [ Niels Thykier ]
  * cmake.pm: Correct parameter -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
    passed to cmake in compat 14+.  Thanks to Raul Tambre for
    reporting the issue.  (Closes: #977255)
  * dh_strip: Fix wording.  Thanks to Chris Leick and Pfannenstein
    Erik.
  * debhelper.pod: Fix typos.  Thanks to Chris Leick and
    Pfannenstein Erik.
  * dh_makeshlibs: Ditto.
  * debian/control: Bump Standards-Versions to 4.5.1.  No changes
    required.

  [ Axel Beckert ]
  * Extend dh_installdocs documentation on debian/$pkg.doc-base.* with
    regards to when deduplication does not work and may cause
    uninstallable packages. (Mitigates: #980903)

  [ Translations ]
  * Update German translation (Pfannenstein Erik)  (Closes: #979608)

 -- Axel Beckert <abe@debian.org>  Mon, 01 Feb 2021 00:53:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
@@ -10,7 +9,7 @@
                man-db <pkg.debhelper.ci>,
                libtest-pod-perl <pkg.debhelper.ci>,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Testsuite: autopkgtest-pkg-perl
 Vcs-Git: https://salsa.debian.org/debian/debhelper.git
 Vcs-Browser: https://salsa.debian.org/debian/debhelper

## debhelper 13.3.4

=== debian/changelog ===
debhelper (13.3.4) unstable; urgency=medium

  [ Jakub Wilk ]
  * debhelper.pod: Add missing space after ")"

  [ Translations ]
  * Update French translation (Jean-Pierre Giraud)  (Closes: #982675)

 -- Niels Thykier <niels@thykier.net>  Sat, 06 Mar 2021 09:53:10 +0000

=== t/debhelper-compat/debian/control ===
Source: foo
Section: misc
Priority: optional
Build-Depends: BUILD_DEPENDS
Maintainer: Test <testing@nowhere>
Rules-Requires-Root: no
Standards-Version: 3.9.8

Package: foo
Architecture: all
Description: package foo
 Package foo

=== t/dh_installsystemd/simple/debian/control ===
Source: foo
Section: misc
Priority: optional
Maintainer: Test <testing@nowhere>
Standards-Version: 3.9.8

Package: foo
Architecture: all
Description: package foo
 Package foo

## debhelper 13.3.4ubuntu1~cloud0

=== debian/changelog ===
debhelper (13.3.4ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 23:36:36 +0000

debhelper (13.3.4ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-empty.
      Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary
      file and cat'ing this to the original file to keep the original
      attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
  * dh_strip: Set a unique build-id before stripping files.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Mar 2021 13:29:56 +0100

debhelper (13.3.3ubuntu3) hirsute; urgency=medium

  * Imply '<!noudeb>' profile if not set on package type udeb. LP:
    #1884836

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 21 Feb 2021 02:48:01 +0000

debhelper (13.3.3ubuntu2) hirsute; urgency=medium

  * objcopy/strip changed in 2.36.1, not keeping file attributes of the
    original file. Work around that in dh_strip to write to a temporary
    file and cat'ing this to the original file to keep the original attributes.
    LP: #1915250.
    The sequencer could also be changed to call dh_fixperms after calling
    dh_strip, but that might introduces other issues. See #982457.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Feb 2021 15:30:21 +0100

debhelper (13.3.3ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-empty.
      Warn on empty archives.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2021 10:40:07 +0100

debhelper (13.3.1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-empty.
      Error on empty archives.
  * Don't error on empty static archives, just give a warning.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Jan 2021 11:56:36 +0100

debhelper (13.3ubuntu4) hirsute; urgency=medium

  * Fix the readelf call added in the last upload. LP: #1908708.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Dec 2020 13:50:02 +0100

debhelper (13.3ubuntu3) hirsute; urgency=medium

  * dh_strip: For a static archive, test if any .text sections are non-empty.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Dec 2020 21:42:35 +0100

debhelper (13.3ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
  * Dropped changes, useless since xenial+ releases:
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
        This need to be added again if we backport to xenial and previous
        releases.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Dec 2020 14:53:28 +0100

debhelper (4.2.26) unstable; urg

## debhelper 13.3.4ubuntu2~cloud0

=== debian/changelog ===
debhelper (13.3.4ubuntu2~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Aug 2021 12:36:41 +0000

debhelper (13.3.4ubuntu2) impish; urgency=medium

  * objcopy/strip changed in 2.36.1, not keeping file attributes of the
    original file. Work around that in dh_strip to write to a temporary
    file, copying attributes, cat'ing this to the original file, copying
    attributes again to keep the original attributes. LP: #1938886

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 04 Aug 2021 19:23:25 +0100

## debhelper 13.3.4ubuntu2

=== debian/changelog ===
debhelper (4.2.27) unsta

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
                po4a,
                man-db <pkg.debhelper.ci>,
                libtest-pod-perl <pkg.debhelper.ci>,
+               debugedit,
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Testsuite: autopkgtest-pkg-perl
@@ -29,6 +31,7 @@
 # dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
          dpkg (>= 1.18.0~),
          dpkg-dev (>= 1.18.2~),
+         debugedit,
          dwz (>= 0.12.20190711),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),

## debhelper 13.6ubuntu1~bpo18.04.1

=== Makefile ===
--- 
+++ 
@@ -137,4 +137,4 @@
 	install -m 0644 lib/Debian/Debhelper/DH/*.pm $(DESTDIR)$(PERLLIBDIR)/DH
 
 test: version
-	MAKEFLAGS= HARNESS_OPTIONS=j$(TEST_JOBS) ./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x && m/\.t$$/ } @ARGV' t/* t/*/*
+	MAKEFLAGS= prove -lrj$(TEST_JOBS) --timer t

=== debian/changelog ===
debhelper (13.6ubuntu1~bpo18.04.1) bionic-backports; urgency=medium

  [ Dan Streetman ]
  * Rebuild for bionic-backports.
  * Fix generated maintainer scripts (LP: #1965758)
  * Revert dep on, and use of, debugedit (LP: #1965800)

  [ Mattia Rizzolo ]
  * Small code changes to support Perl 5.26 as available in bionic.
    See ##1001403.
    (taken from previous backport)

 -- Dan Streetman <ddstreet@ieee.org>  Wed, 01 Jun 2022 10:02:55 -0400

debhelper (13.6ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable (LP: #1960248). Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      - Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
  * Add awk dependency implied by empty .text section check
  * Fix restart behaviour of packages marked either
    - no-stop-on-upgrade or --no-restart-after-upgrade (LP: #1959054)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 07 Feb 2022 15:59:07 +0000

debhelper (13.6) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_assistant: Avoid creating `debian/.debhelper` when the
    which-build-system sub command is invoked.  Thanks to
    Jelmer Vernooĳ for spotting that bug.
  * dh_assistant: Add new active-compat-level command, which
    outputs information about which compat level is declared
    and active.  It also tells how the compat level was
    declared.
  * Dh_Lib.pm: Add new function, get_non_binnmu_date_epoch,
    only needed for dh_strip_nondeterminism.
  * dh_installcron: Add support for `cron.yearly` packaging
    file.  Thanks to Martin-Éric Racine for the suggestion.
    (Closes: #1000363)
  * Dh_Lib.pm: Remove support for compat 5 and 6.
  * debhelper.pod,debhelper-obsolete-compat.pod: Update to
    reflect the new status for compat 5 and 6.

  [ Guillem Jover ]
  * dh: Add missing _ in execute_after example in POD.

  [ Sandro Tosi ]
  * dh_compress: Exclude .woff and .woff2 by default.

  [ Translations ]
  * Update Portuguese translation (Américo Monteiro)
    (Closes: #1000719)

 -- Niels Thykier <niels@thykier.net>  Mon, 20 Dec 2021 12:55:03 +0000

debhelper (13.5.2ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-empty.
      Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary
      file and cat'ing this to the original file to keep the original
      attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
  * dh_strip: Set a unique build-id before stripping files.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Nov 2021 16:34:26 +0100

debhelper (13.5.2) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_installsystemd: Revert change to deploy systemd files into
    usr/lib/systemd.  (Closes: #993316, #993759)
  * dh_installinit: Ditto.
  * dh_systemd_enable: Ditto.
  * dh_systemd_start: Ditto.
  * SequencerUtil.pm: Remove duplicate "-a" option to some commands.
    Thanks to Christoph Berg for reporting the issue.
    (Closes: #971761)
  * dh_installdeb: Revert the change to rewrite `rm_conffiles` into
    `remove-on-upgrade` due to it causing bugs in non-trivial cases.
    (Closes: #994919)

  [ Christoph Berg ]
  * dh_installtmpfiles: Add missing option name in POD documentation.

 -- Niels Thykier <niels@thykier.net>  Thu, 23 Sep 2021 16:44:25 +0000

debhelper (13.5.1) unstable; urgency=medium

  [ Paul Wise ]
  * cmake.pm: make it possible to override dh provided ctest arguments

  [ Niels Thykier ]
  * cmake.pm: Add missing import which broke cmake related builds.
    Thanks to Boyuan Yang for reporting the issue.
    (Closes: #993345)

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Aug 2021 05:43:35 +0000

debhelper (13.5) unstable; urgency=medium

  * dh_installdeb: Install debian/conffiles in compat 12+ again
    (undoing the compat 12 change saying dh_installdeb would ignore
    this file).  The file can now be using for the activating the
    `remove-on-upgrade` feature from dpkg 1.20.
  * dh_installdeb: Automatically rewrite `rm_conffiles` into the
    new `remove-on-upgrade` feature from dpkg when possible.
  * cmake.pm: Pass `ARGS+=--verbose` to make when running tests
    in the cmake+make variant except when "terse" is in
    DEB_BUILD_OPTIONS.  Thanks to Paul Wise for the suggestion.
    (Closes: #992623)
  * python_support.pm: Remove obsolete dh addon.  It did nothing
    but warn and nothing used it anymore.
  * dh: Document debhelper provided dh addon sequences.
  * single_binary.pm: New dh addon ("single-binary") that explicitly
    activates the "single binary" work flow, where dh_auto_install
    uses debian/<pkg> as default --destdir when there is only a
    single binary package.  It will error out if used in a


=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                po4a,
                man-db <pkg.debhelper.ci>,
                libtest-pod-perl <pkg.debhelper.ci>,
-               debugedit,
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Testsuite: autopkgtest-pkg-perl
@@ -31,13 +30,13 @@
 # dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
          dpkg (>= 1.18.0~),
          dpkg-dev (>= 1.18.2~),
-         debugedit,
          dwz (>= 0.12.20190711),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
          man-db,
          libdebhelper-perl (= ${source:Version}),
          po-debconf,
+         awk,
          ${misc:Depends},
          ${perl:Depends}
 Breaks:
@@ -56,6 +55,7 @@
           dh-sequence-dwz,
           dh-sequence-elf-tools,
           dh-sequence-installinitramfs,
+          dh-sequence-single-binary,
           dh-sequence-systemd,
 Multi-Arch: foreign
 Description: helper programs for debian/rules

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	./run dh $@ --without autoreconf --with build-stamp
 
 # Disable as they are unneeded (and we can then be sure debhelper
-# builds without needing autotools-dev, dh-strip-nondetermism etc.)
+# builds without needing autotools-dev, dh-strip-nondeterminism etc.)
 override_dh_update_autotools_config override_dh_strip_nondeterminism:
 
 execute_before_dh_install:

## debhelper 13.6ubuntu1~bpo20.04.1

=== debian/changelog ===
debhelper (13.6ubuntu1~bpo20.04.1) focal-backports; urgency=medium

  * Rebuild for focal-backports.
  * Fix generated maintainer scripts (LP: #1965758)
  * Revert dep on, and use of, debugedit (LP: #1965800)

 -- Dan Streetman <ddstreet@ieee.org>  Wed, 01 Jun 2022 10:02:55 -0400

=== t/dh_installdocs/debian/control ===
Source: foo
Section: misc
Priority: optional
Maintainer: Test <testing@nowhere>
Rules-Requires-Root: no
Standards-Version: 3.9.8

Package: foo
Architecture: all
Description: package foo
 Package foo

Package: bar
Architecture: all
Description: package bar
 Package bar

Package: baz
Architecture: all
Description: package baz
 Package baz

## debhelper 13.6ubuntu1~cloud0

=== debian/changelog ===
debhelper (13.6ubuntu1~cloud0) focal-yoga; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 14 Feb 2022 14:54:29 +0000

## debhelper 13.6ubuntu1

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                po4a,
                man-db <pkg.debhelper.ci>,
                libtest-pod-perl <pkg.debhelper.ci>,
+               debugedit,
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Testsuite: autopkgtest-pkg-perl
@@ -30,6 +31,7 @@
 # dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
          dpkg (>= 1.18.0~),
          dpkg-dev (>= 1.18.2~),
+         debugedit,
          dwz (>= 0.12.20190711),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),

## debhelper 13.6ubuntu1+10.0trisquel2

=== debian/changelog ===
debhelper (13.6ubuntu1+10.0trisquel2) nabia-backports; urgency=medium

  * Backported from jammy.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 21 Feb 2022 12:37:24 +0000
